Subject: [os2genau_digest] No. 1078
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 21 Mar 2005 00:01:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 20 March 2005
 Number  1078
**************************************************

Subjects for today
 
1   Software Choice/Passport Advantage : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2   attrib command : Dennis Nolan <dennik at swiftdsl dot com dot au>
3  Re:  attrib command : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  attrib command : Kris Steenhaut <kris.steenhaut at hccnet.nl>
5  Re:  attrib command : Mike O'Connor <mikeoc at dodo dot com dot au>
6  Re:  attrib command : Mike O'Connor <mikeoc at dodo dot com dot au>
7  Re:  attrib command : Kris Steenhaut <kris.steenhaut at hccnet.nl>
8  Re:  attrib command : Mike O'Connor <mikeoc at dodo dot com dot au>
9  Re:  attrib command : Kris Steenhaut <kris.steenhaut at hccnet.nl>

**= Email   1 ==========================**

Date:  Sun, 20 Mar 2005 17:49:41 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   Software Choice/Passport Advantage

Has anyone one this list subscribed to Software Choice/Passport Advantage?

Please email me privately if you do not wish to answer publicly.
-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 20 Mar 2005 20:17:07 +1100
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:   attrib command

Hi all

Does anyone have an idea why attrib doesn't work in eCS 1.2?

It's mentioned in the help system but doesn't seem to work for me.
I just get

SYS1041: The name attrib is not recognized as an
internal or external command, operable program or batch file.

I want to be able to recreate files when their configuration files have 
been changed, without having to check content etc.

Regards
Dennis.

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 20 Mar 2005 20:30:58 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  attrib command

Dennis Nolan wrote:

> Hi all
>
> Does anyone have an idea why attrib doesn't work in eCS 1.2?
>
> It's mentioned in the help system but doesn't seem to work for me.
> I just get
>
> SYS1041: The name attrib is not recognized as an
> internal or external command, operable program or batch file.
>
> I want to be able to recreate files when their configuration files 
> have been changed, without having to check content etc.
>
> Regards
> Dennis.
>
> -

Hi Dennis, it sounds like the operating system cannot find the program 
attrib.exe - it needs to be in a directory that is in the path statement 
in config.sys.

Suggestion - go to the command line and from the root directory of your 
system drive, do   DIR attrib.exe /s to see where it is, it should be in 
the \OS2 directory. If you find it, copy it there and then you should be 
OK. If it's not on the system, that's very strange,  but you could try 
copying attrib.exe from eCS 1.1 or OS/1 Warp 4 CP2.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 20 Mar 2005 10:34:31 +0100
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  attrib command

Dennis Nolan schreef:

> Hi all
>
> Does anyone have an idea why attrib doesn't work in eCS 1.2?
>
> It's mentioned in the help system but doesn't seem to work for me.
> I just get
>
> SYS1041: The name attrib is not recognized as an
> internal or external command, operable program or batch file.
>
Means attrib.exe hasn't been copied or installed by eCS 1.2 .

Sent the file to you by private mail. Just put it in the \os2 directory 
(where it belongs).

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 20 Mar 2005 19:47:59 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  attrib command

Dennis Nolan wrote:

> Hi all
>
> Does anyone have an idea why attrib doesn't work in eCS 1.2?
>
> It's mentioned in the help system but doesn't seem to work for me.
> I just get
>
> SYS1041: The name attrib is not recognized as an
> internal or external command, operable program or batch file.
>
> I want to be able to recreate files when their configuration files 
> have been changed, without having to check content etc.
>
> Regards
> Dennis.

Hi Dennis,

I don't follow what you are trying to do, unless you mean to remove 
those attributes than prevent you from deleting the original versions?

This is what shows up on my eCS 1.2 system, where attrib.exe definitely 
works! :

Volume in drive E has no label.
The Volume Serial Number is FC6B:25BF.
Directory of E:\os2

11/03/02  9:58         37,789      0 a---  ATTRIB.EXE
        1 file(s)      37,789 bytes used
                    241,504,256 bytes free

[output from "attrib /?"]
Use the ATTRIB command to display or change file attributes.
Syntax:
  ATTRIB [+R or -R][+S or -S][+H or -H][+A or -A][drive:][path]filename
         [/S]
where:
  +R or -R     Sets or cancels the read-only attribute.
  +S or -S     Sets or cancels the system file attribute.
  +H or -H     Sets or cancels the hidden file attribute.
  +A or -A     Sets or cancels the archive file attribute.
  drive:\path  Specifies the drive and directory.
  filename     Specifies the file you want to change.
  /S           Processes all subdirectories.

Sounds like you've deleted the file!

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, * dot com, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sun, 20 Mar 2005 20:25:13 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  attrib command

Dennis Nolan wrote:

> Hi all
>
> Does anyone have an idea why attrib doesn't work in eCS 1.2?
>
> It's mentioned in the help system but doesn't seem to work for me.
> I just get
>
> SYS1041: The name attrib is not recognized as an
> internal or external command, operable program or batch file.
>
> I want to be able to recreate files when their configuration files 
> have been changed, without having to check content etc.
>
> Regards
> Dennis.
>
 
>
> 

>
>

Hi Dennis,

FWIW are you aware of doing any unattended boot-ups of that system that 
might have involved a chkdsk that might have removed that file as 
corrupted? It could likely be that if that executable is missing that 
others in the \os2 directory may also be missing!

Check a listing of \os2 against the following brief listing:

CHKDSK.COM
COMP.COM
DISKCOMP.COM
DISKCOPY.COM
FDISK.COM
FORMAT.COM
KEYB.COM
LABEL.COM
MODE.COM
MORE.COM
PRINT.COM
RECOVER.COM
TREE.COM
UNDELETE.COM
WARP.COM ** this one isn't an "executable" in the normal sense - it's a 
logo IIRC
ANSI.EXE
APMDAEMN.EXE
ARCINST.EXE
ARCRECOV.EXE
ATTRIB.EXE
BACKPRN.EXE
BACKUP.EXE
BLDLEVEL.EXE
CACHE.EXE
CACHEJFS.EXE
CHGQUE.EXE
CHKDSK32.EXE
CHKLGJFS.EXE
CLIPOS2.EXE
CLRBBLKS.EXE
CMD.EXE
COMETRUN.EXE
DEFRAGFS.EXE
dmipm.exe
dmisl.exe
dtrace.exe
E.EXE
EAUTIL.EXE
EJECT.EXE
epw.exe
epwcons.exe
epwddr3.exe
epwdf.exe
epwmp.exe
epwmux.exe
epwpct.exe
epwpsi.exe
epwrout.exe
erlogger.exe
EXECMODE.EXE
EXTENDFS.EXE
FDISKPM.EXE
ffst.exe
ffstconf.exe
ffstpct.exe
FIND.EXE
GLOCALE.EXE
GSVINST.EXE
hcimonit.exe
hdmon.exe
HELPMSG.EXE
ibmview.exe
ICONEDIT.EXE
iwquery.exe
JFSCHK32.EXE
LD2FIX.EXE
LINK.EXE
LINK386.EXE
LOGDUMP.EXE
LVM.EXE
MAKEINI.EXE
MPCPUMON.EXE
msglogf.exe
msgwrt.exe
MULTIPT.EXE
PATCH.EXE
PMCHKDSK.EXE
PMFORMAT.EXE
PMREXX.EXE
PMSHELL.EXE
PMSPOOL.EXE
PSFILES.EXE
PSSEMS.EXE
PSTAT.EXE
RC.EXE
RCPP.EXE
remoterr.exe
REPLACE.EXE
RESTORE.EXE
RESTPRN.EXE
REXXC.EXE
RINSTPRN.EXE
RJAPPLET.EXE
RMVIEW.EXE
RXQUEUE.EXE
RXSUBCOM.EXE
SETBOOT.EXE
sminst.exe
smstart.exe
SOMDD.EXE
SOMDSVR.EXE
SORT.EXE
SPOOL.EXE
STRACE.EXE
SVDETECT.EXE
svga.exe
svga5333.exe
SYM8XXPC.EXE
SYM_HIPC.EXE
SYSLEVEL.EXE
SYSLOG.EXE
SYSLOGPM.EXE
TEDIT.EXE
trace.exe
tracefmt.exe
traceget.exe
trspool.exe
tstusbc.exe
UNPACK.EXE
UNPACK2.EXE
usbmon.exe
view.exe
VIEWDOC.EXE
WELCOME.EXE
WPDSACTV.EXE
WPDSINIT.EXE
XCOPY.EXE
XDFCOPY.EXE

HTH

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, * dot com, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Sun, 20 Mar 2005 12:03:15 +0100
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  attrib command

Ed Durrant schreef:

> d then you should be OK. If it's not on the system, that's very strange,

It's no that strange, as even W4 didn't/does install attrib.exe by 
default. Remember.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Sun, 20 Mar 2005 21:09:56 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  attrib command

Kris Steenhaut wrote:

> It's no that strange, as even W4 didn't/does install attrib.exe by 
> default. Remember.

Kris,

You don't know what you're talking about!
Every edition of OS/2 has *always* installed attrib by default!

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, * dot com, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Sun, 20 Mar 2005 12:55:05 +0100
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  attrib command

Mike O'Connor schreef:

> Kris Steenhaut wrote:
>
>> It's no that strange, as even W4 didn't/does install attrib.exe by 
>> default. Remember.
>
>
> Kris,
>
> You don't know what you're talking about!
> Every edition of OS/2 has *always* installed attrib by default!
>
No, W4 didn't. You had to check the option on during the install.

As always, I do know very well what I am speaking about.

Why don't you launch a fresh new brand W4 install onto a blank 
partition? Then you could check it out for yourself for once instead of 
speaking idle.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------